#pragma once

#include <QtWidgets/QMainWindow>
#include "ui_RasterProcessTool.h"
#include "QToolAbstract.h"

class RasterProcessTool : public QMainWindow
{
    Q_OBJECT

public:
    RasterProcessTool(QWidget *parent = nullptr);
    ~RasterProcessTool();

signals:
    void addBoxToolItemSIGNAL(QToolAbstract* item);




public slots:
    void addBoxToolItemSLOT(QToolAbstract* item);
    QTreeWidgetItem* findOrCreateParentItem( QVector<QString>& path);
    QTreeWidgetItem* findOrCreateTopLevelItem( QString& name);
    QTreeWidgetItem* findChildItemByName(QTreeWidgetItem* parentItem,  QString& name);

private:
    Ui::RasterProcessToolClass ui;
};
